
Foreman - Bug #4664

Autogenerated OS description for SLES is wrong when more then one architecture is used

03/14/2014 01:59 PM - Anonymous

Status: Closed   

Priority: Low   

Assignee:    

Category: Facts   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.4.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

based on a report on IRC:

<x> We have a mixture of RHEL and SLES boxes, running on x86_64 and s390x architectures

<x> On SLES 11, the x86_64 is being assigned to the Operating System tagged s390x with architecture

<x> in seems to be fact related, since we manually re-assigned it and when puppet runs it goes back to the s390x operating system

The problem here is, that the lsbdistdescrption fact is used as the display name for the OS. It's e.g. "SUSE Linux Enterprise Server

11 (x86_64)" or "SUSE Linux Enterprise Server 11 (s390x)".

Related issues:

Related to Foreman - Bug #4800: "Description has already been taken" for some... Closed 03/24/2014

Has duplicate Foreman - Bug #4665: Operating Systems autocreated by Fact Impo... Duplicate 03/14/2014

Associated revisions

Revision c88a5e53 - 03/17/2014 10:11 AM - Michael Moll 

fixes #4664 - shorten OS description for SUSE

History

#1 - 03/14/2014 02:02 PM - Anonymous

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1298

#2 - 03/14/2014 02:10 PM - Dominic Cleal

- Target version set to 1.9.0

#3 - 03/14/2014 02:20 PM - Anonymous

- Has duplicate Bug #4665: Operating Systems autocreated by Fact Imports from SLES improperly include the Architecture in the OS Description

added

#4 - 03/14/2014 02:25 PM - Anonymous

I also thought about setting the SP via the operatingsystemrelease fact, but then you would need special handling for SLES. If that is really needed,

ping me, then I'll implement it.

#5 - 03/17/2014 10:10 AM - Dominic Cleal

- translation missing: en.field_release set to 4

#6 - 03/17/2014 10:31 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c88a5e5336e1f4f45f718b42c580991a0e5bead5.
https://github.com/theforeman/foreman/pull/1298
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/c88a5e5336e1f4f45f718b42c580991a0e5bead5


#7 - 03/24/2014 02:40 PM - Anonymous

- Related to Bug #4800: "Description has already been taken" for some new SLES clients added
